---
title: Update
url: https://www.tines.com/docs/api/stories/story-versions/update/
updated: 2023-12-19T18:05:23+00:00
description: Update a story version.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Story versions](https://www.tines.com/llm/docs/api/stories/story-versions.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/stories/story-versions/update/)*

## Description

Update a story version.

## Request

HTTP Method: **POST**

| Query Parameter | Description                         |
| --------------- | ----------------------------------- |
| name            | The new name for the story version. |

| Path Parameter | Description                            |
| -------------- | -------------------------------------- |
| story_id       | The ID of the story.                   |
| version_id     | The ID of the story version to update. |

```bash
curl -X POST \
 https://<tenant-domain>/api/v1/stories/<<story_id>>/versions/<<version_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "name": "Updated version name"
      }'
```

## Response

A successful request will return the JSON object describing the updated story version.

### Field description

| Parameter   | Description                             |
| ----------- | --------------------------------------- |
| id          | story version id.                       |
| name        | story version name.                     |
| description | story version description.              |
| timestamp   | The time the story version was created. |

<!-- cspell:disable -->

### Sample response

```json
{
  "id": 889,
  "name": "Updated version name",
  "description": "",
  "timestamp": "2023-11-13T11:16:05Z"
}
```

<!-- cspell:enable -->
